import request from '@/utils/request'

// 查询审计记录列表
export function listAudit(query) {
  return request({
    url: '/rc/audit/list',
    method: 'get',
    params: query
  })
}

// 查询审计记录详细
export function getAudit(id) {
  return request({
    url: '/rc/audit/' + id,
    method: 'get'
  })
}

// 新增审计记录
export function addAudit(data) {
  return request({
    url: '/rc/audit',
    method: 'post',
    data: data
  })
}

// 修改审计记录
export function updateAudit(data) {
  return request({
    url: '/rc/audit',
    method: 'put',
    data: data
  })
}

// 删除审计记录
export function delAudit(id) {
  return request({
    url: '/rc/audit/' + id,
    method: 'delete'
  })
}
